<!------------------- Explanation  ----------------------------------------->

<!

	This file is an example of how to create a Hosted Live Chat Event where the main Celebrity Speaker is

isolated from the main public audience through the use of Chat Monitors.  This allows the Speaker the 

ability to give a lecture or speech to the live audience and answer selected questions from the same 

audience without having to read through the massive amounts of "chatter" that is typically accumulated

in a live event.  Additionally, this allows the audience to discuss the speakers comments with each other

as well as pose questions to the speaker.



	This setup is accomplished through the use of "Chat Monitors" who will have a customized Web page which

allows them to view TWO different chat sessions simultaneously, one is the live audience and the other is 

the speakers private room.  The Chat Monitors then isolate relevant questions from the live chatter and

repost the questions in the speakers private room.  The speaker can then choose to answer that question

directly and the whole audience would then see the response.



SETUP

-----

1)  Login to Web Crossing as the sysop and create THREE separate Chat Rooms, with appropriate titles:

	"Live Audience"

	"Chat Monitors"

	"Private Speaker Room"

2)  Edit the "Live Audience" room and enter "chatAudience" in the "Chat Room Template" box.

	Add the "Private Speaker Room" unique ID into the "Common Room for this Table" box.  This will

	be a number like ".ee6b2ac" and can be found at the end of the URL Link to the "Private Speaker

	Room" that was just created.

3)  Set the access to this room as appropriate, i.e.  Allow anonymous, etc.  You must also explicitly

	set the access rights for the "special speaker" to "host" in the audience room so that the speaker

	can "broadcast" his messages into this room.

4)  Edit the "Private Speaker Room" and enter "chatHost" in the "Chat Room Template" box.

	Edit the Access List for this room and deny access to all but the speaker and the sysop.

	Create a new Access list group called "Hosts"

	Edit the Access list for this room and allow the newly created group "Hosts" - Host access.

5)  Edit the "Chat Monitors" room and enter "chatMonitors" in the "Chat Room Template" box.

6)  Login as the various users, sysop, host, guest, etc. to make sure that the access is correct

	and that the guests cannot see the "Private Speaker Room", for instance.

7)  Copy the macros in this file into your "Webx.tpl" file

8)  Edit the "Globa Macros"  and set the variables accordingly, especially the "audienceRoom" and 

	"hostRoom" macros - they need to be set to the correct Unique ID of the particular room.

9)  Open 3 Browser windows and login as the speaker, a chat monitor, and a guest (or participant).

	For the "Private Speaker Room" make sure that your speaker has the Applet menu setting set to:

	"Broadcast All Messages".

10)  Check that you see the "chatter" from the appropriate people.

11)  Customize the following macros to match your site's specific "look and feel" as necessary.

12)  Modify the macro "params" to match your particular chat room's unique ID's

>

<!----------------------------------------------------------->

<!----------------------------------------------------------->



<!------------------- Global Macros ----------------------------------------->

%% macro backGround   %%	bgcolor=#ffffff	%% endmacro %%   

%% macro params %% 

				%% set audienceRoom  ".ee6b2b7" %%

 				%% set hostRoom	 	 ".ee6b2bb" %%		

%% endmacro %%



<!------------------- chatAudience ----------------------------------------->

<!  This macro controls the Audience for a Hosted/Speaker type chat session >

%% macro chatAudience %%

<HTML><HEAD>

<!-- Page produced by Web Crossing(tm)/%% platform %%-%% version %% (http://webx.lundeen.com/) for %% siteLicensee %%-->

<!-- User interface (c)Copyright 1995-96 by Lundeen & Associates. All rights reserved.-->

<title>Audience</title></HEAD>

<body %% use backGround %%>  

<center><b>Public Chat Audience</b><p>  



%% if enterRoom %%  

		<applet codebase="%% roomCodebase %%" code=WBChat archive=WBChat.zip width=460 height=300>

		<param name=handle value=%% roomHandle %%>

		<param name=ip value=%% roomIp %%>

		<param name=port value=%% roomPort %%>

		<param name=name value="%% userName %%">

   		<param name=font value=Times>

   		<param name=fontSize value=12>

   		<param name=fg value=000000>

   		<param name=bg value=ffffff>

   		<param name=askEmail value=1>

		<param name=initialSetName value=1>

		<param name=askCity value=1>



		%% if pathIsAnonymous %%

			<param name=anonymous value=1>

			<param name=changeName value=>

		%% endif %%

		You must be running a Java-enabled browser to enter a chat room.

		</applet>

		<p><p>



%% else %%

	<b>Could not enter the chat room: </b>%% roomError %%

%% endif %%     

<p>

%% if (userIsSysop) %%

<a href="%% urlBase %%recordon@%% certificate %%@%% location %%">Turn Recording On</a>%%nop%%<p>

<a href="%% urlBase %%recordoff@%% certificate %%@%% location %%">Turn Recording Off</a>%%nop%%<p>

<p>

%%backpath%%<p>%%toolbar%%

%% else %%

%% endif %%

%% footer %%</BODY></HTML>

%% endmacro %%





<!------------------------- chatMonitor ----------------------------------------->

<!  This macro controls the Monitor Rooms for a Hosted/Speaker type chat session >

%% macro chatMonitor %%

<HTML><HEAD>

<!-- Page produced by Web Crossing(tm)/%% platform %%-%% version %%

(http://webx.lundeen.com/) for %% siteLicensee %%-->

<!-- User interface (c)Copyright 1995-96 by Lundeen & Associates. All rights reserved.-->

<title>Chat Monitors</title></HEAD>

<body %% use backGround %%>  

<center>

                              

<center><b>Public Chat Audience</b><p>

%% use params %%

%% setpath ( use audienceRoom) %%

%% if enterRoom %%  

		<applet codebase="%% roomCodebase %%" code=WBChat archive=WBChat.zip width=460 height=220>

		<param name=handle value=%% roomHandle %%>

		<param name=ip value=%% roomIp %%>

		<param name=port value=%% roomPort %%>

		<param name=name value="%% userName %%">

 		<param name=font value=Times>

 		<param name=fontSize value=12>

 		<param name=fg value=000000>

 		<param name=bg value=ffffff>

 		<param name=askEmail value=1>

		<param name=initialSetName value=1>

		<param name=askCity value=1>



		<param name=membersWidth value=100>

		<param name=membersGap value=15>

		<param name=tablesHeight value=100>

		<param name=tablesGap value=15>

		<param name=changeName value=1>

		<param name=private value=B19719>



		%% if pathIsAnonymous %%

			<param name=anonymous value=1>

			<param name=changeName value=1>

		%% endif %%

		You must be running a Java-enabled browser to enter a chat room.

		</applet>

		<p><p>



%% else %%

	<b>Could not enter the chat room: </b>%% roomError %%

%% endif %%        

</center>



<center><b>ChatHost Private Chat</b><p>    

%% use params %%

%% setpath (hostRoom) %%

%% if enterRoom %%  

		<applet codebase="%% roomCodebase %%" code=WBChat archive=WBChat.zip width=460 height=220>

		<param name=handle value=%% roomHandle %%>

		<param name=ip value=%% roomIp %%>

		<param name=port value=%% roomPort %%>

		<param name=name value="%% userName %%">

   		<param name=font value=Times>

   		<param name=fontSize value=12>

   		<param name=fg value=000000>

   		<param name=bg value=ffffff>



		%% if pathIsAnonymous %%

			<param name=anonymous value=1>

		%% endif %%

		You must be running a Java-enabled browser to enter a chat room.

		</applet>

		<p><p>



%% else %%

	<b>Could not enter the chat room: </b>%% roomError %%

%% endif %%   

</center>

<p>

<p>    

%% footer %%</BODY></HTML>

%% endmacro %%



            

<!------------------------- chatHost ----------------------------------------->

<!  This macro controls the Private Speaker/Host Room for a Hosted/Speaker type chat session >

%% macro chatHost %%

<HTML><HEAD>

<!-- Page produced by Web Crossing(tm)/%% platform %%-%% version %%

(http://webx.lundeen.com/) for %% siteLicensee %%-->

<!-- User interface (c)Copyright 1995-96 by Lundeen & Associates. All rights reserved.-->

<title>Chat Host</title></HEAD>

<body %% use backGround %%>  

<center>

                              

<center><b>ChatHost Private Chat</b><p>    

%% use params %%

%% setpath ( hostRoom ) %%

%% if enterRoom %%  

		<applet codebase="%% roomCodebase %%" code=WBChat archive=WBChat.zip width=460 height=220>

		<param name=handle value=%% roomHandle %%>

		<param name=ip value=%% roomIp %%>

		<param name=port value=%% roomPort %%>

		<param name=name value="%% userName %%">

   		<param name=font value=Times>

   		<param name=fontSize value=12>

   		<param name=fg value=000000>

   		<param name=bg value=ffffff>



		%% if pathIsAnonymous %%

			<param name=anonymous value=1>

		%% endif %%

		You must be running a Java-enabled browser to enter a chat room.

		</applet>

		<p><p>



%% else %%

	<b>Could not enter the chat room: </b>%% roomError %%

%% endif %%   

</center>

<p>

<p>    

%% footer %%</BODY></HTML>

%% endmacro %%

